Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.ldap
Class LdapAuthorizationPolicy

    java.lang.Object
      org.jivesoftware.openfire.ldap.LdapAuthorizationPolicy

All Implemented Interfaces:
  AuthorizationPolicy

    public class LdapAuthorizationPolicy

extends Object
implements AuthorizationPolicy

Provider for authorization using LDAP. Checks if the authenticated principal is in the user's LDAP object using the authorizeField from the `openfire.xml` file. An entry in that file would look like the following:

       <ldap>
         <authorizeField> k5login </authorizeField>
       </ldap>

This implementation requires that LDAP be configured, obviously.

Author:
  Jay Kline

Constructor Summary
`LdapAuthorizationPolicy()`

Method Summary
`boolean` | `authorize(String username, String principal)` Returns if the principal is explicity authorized to the JID, throws an UnauthorizedException otherwise
`String` | `description()` Returns a description of the Policy
`String` | `name()` Returns the short name of the Policy

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LdapAuthorizationPolicy

    public LdapAuthorizationPolicy()

Method Detail

### authorize

    public boolean authorize(String username,
                             String principal)

  Returns if the principal is explicity authorized to the JID, throws an UnauthorizedException otherwise

  Specified by:
    `authorize` in interface `AuthorizationPolicy`
  Parameters:
    `username` - The username requested.import org.jivesoftware.openfire.ldap.*;
    `principal` - The principal requesting the username.
  Returns:
    true is the user is authorized to be principal

### name

    public String name()

  Returns the short name of the Policy

  Specified by:
    `name` in interface `AuthorizationPolicy`
  Returns:
    The short name of the Policy

### description

    public String description()

  Returns a description of the Policy

  Specified by:
    `description` in interface `AuthorizationPolicy`
  Returns:
    The description of the Policy.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.